function labels = gaussian_shaped_labels(sigma, sz)

	%evaluate a Gaussian with the peak at the center elementֵλԪصĸ˹ֲ
	%˹output_sigmaԼⷶΧcellĸ=floor(window_sz / cell_size) 
    %ndgrid˻عǩlabels
    %ndgrid [X,Y] = ndgrid(x,y)
    %xyֱΪΪLxLy 
    %XYάΪLxLyľ󣬾XÿһжxTYÿһжy
    [rs, cs] = ndgrid((1:sz(1)) - floor(sz(1)/2), (1:sz(2)) - floor(sz(2)/2));%csrsߴΪ37x37
	labels = exp(-0.5 / sigma^2 * (rs.^2 + cs.^2));%СҲΪ3737
    
	%move the peak to the top-left, with wrap-aroundϽǣ
	labels = circshift(labels, -floor(sz(1:2) / 2) + 1);%СҲΪ3737

	%sanity check: make sure it's really at top-leftȷϽ
	assert(labels(1,1) == 1)

end

