function x = get_features(im, features, cell_size, cos_window,w2c)

%GET_FEATURES
%   Extracts dense features from image.  ͼȡܼ
%   Extracts features specified in struct FEATURES, from image IM. The features should be densely
%   sampled,in cells or intervals of CELL_SIZE.ͼܼCELL_SIZEĵԪ
%   The output has size[height in cells, width in cells, features].дС[Ԫеĸ߶ȣԪеĿȣ]  

%   To specify HOG features, set field 'hog' to true, and'hog_orientations' to the number of bins.  
%   ҪָHOGܣ뽫ֶΡhogΪtruehog_orientationsΪbin

%   To experiment with other features simply add them to this function
%   and include any needed parameters in the FEATURES struct.
%   Ҫʵܣֻ轫ӵ˹ܲFEATURESṹаκβ

% 	if features.hog,
% 		%HOG features, from Piotr's Toolbox
% 		x = double(fhog(single(im) / 255, cell_size, features.hog_orientations));
% 		x(:,:,end) = [];  %remove all-zeros channel ("truncation feature")ɾȫͨ(ض)
% 	end
	if features.hogcolor %HOG+CN
		%HOG features, from Piotr's Toolbox
		x = double(fhog(single(im) / 255, cell_size, features.hog_orientations));
		x(:,:,end) = [];  %remove all-zeros channel ("truncation feature")
		sz = size(x);
		im_patch = imresize(im, [sz(1) sz(2)]);
		out_npca = get_feature_map(im_patch, 'gray', w2c);
		out_pca = get_feature_map(im_patch, 'cn', w2c);
% 		out_pca = reshape(temp_pca, [prod(sz), size(temp_pca, 3)]);
		x = cat(3,x,out_npca);%άȽӣ1ӣ2ӣ3ά
		x=cat(3,x,out_pca);
    end
% 	if features.gray,
% 		%gray-level (scalar feature)
% 		x = double(im) / 255;
% 		
% 		x = x - mean(x(:));
% 	end
	
	%process with cosine window if needed
    
    if isfield(features, 'deep') && features.deep
        x = impreprocess(single(im));
%         caffe('reshape_input', 'solver', [0, 1, size(x, 3), size(x, 2), size(x, 1)]);
%         x = caffe('forward', {x});
        caffe('set_input_dim', 'DNNL', [0, 1, size(x, 3), size(x, 2), size(x, 1)]);
        x = caffe('forward', 'DNNL', {x});
        x = permute(x{1}, [2, 1, 3]);
        x = x / 1e3;
    end
    
	if ~isempty(cos_window),
		x = bsxfun(@times, x, cos_window);
	end
	
end
