function out = get_subwindow(im, pos, sz, currentScaleFactor)

	if isscalar(sz)  %square sub-window
		sz = [sz, sz];
    end
    
    patch_sz = floor(sz * currentScaleFactor);
    %make sure the size is not to small
    if patch_sz(1) < 1
        patch_sz(1) = 2;
    end
    if patch_sz(2) < 1
       patch_sz(2) = 2;
    end

    
    
    
	%ĿλΪģչСwindow_szľδ
	xs = floor(pos(2)) + (1:sz(2)) - floor(sz(2)/2);
	ys = floor(pos(1)) + (1:sz(1)) - floor(sz(1)/2);
	
	%check for out-of-bounds coordinates, and set them to the values at
	%the borders
    %patchͼƬԵʱΪֵĻҶֵԵͬ
	xs(xs < 1) = 1;
	ys(ys < 1) = 1;
	xs(xs > size(im,2)) = size(im,2);
	ys(ys > size(im,1)) = size(im,1);
	
    im_patch = im(ys, xs, :);
    
	%extract image
    %ͼȡpatch
%	out = im(ys, xs, :);
    out = mexResize(im_patch, sz, 'auto');

end

