function [positions, time] = tracker(video_path, img_files, pos, target_sz,padding, kernel, lambda, output_sigma_factor,interp_factor,cell_size, features, show_visualization)%


 % DSST parameters
global params;
    
    scale_lambda = params.lambda;
    scale_learning_rate = params.learning_rate;
    nScales = params.number_of_scales;
    scale_step = params.scale_step;
    scale_sigma_factor = params.scale_sigma_factor;
    scale_model_max_area = params.scale_model_max_area;
    
%     threshold_psr = 200;
%     threshold_rsfm = 0.7;
%     threshold_3 = 0.03;
%     threshold_4 = 0.03;

temp = load('w2crs') ;
w2c = temp.w2crs;
 
% һߴߴʵС

	resize_image = (sqrt(prod(target_sz)) >= 100);  %diagonal size >= threshold
	if resize_image
		pos = floor(pos / 2);
		target_sz = floor(target_sz / 2);
	end


%ڶôڴС

    init_target_sz = target_sz;
    base_target_sz = target_sz;
    
	window_sz = floor(target_sz * (1 + padding));%Ϊԭ2.5150x150
	

%ɻعֵʹyfĳߴӦҴ
    
    %output_sigma_factorcell_sz͸ٿߴ˹ǩĴoutput_sigma 
	output_sigma = sqrt(prod(target_sz)) * output_sigma_factor / cell_size;
    yf = fft2(gaussian_shaped_labels(output_sigma, floor(window_sz / cell_size)));
%     if isfield(features, 'deep') && features.deep
%         yf = fft2(gaussian_shaped_labels(output_sigma, ceil(window_sz / cell_size)));%СΪ3737
% %         sz = ceil(window_sz/cell_size)-1+4-4;
% %         yf = fft2(gaussian_shaped_labels(output_sigma, sz));
%     else
%          %gaussian_shaped_labelsɻعǩȻиҶ任תƵϵyf
%         yf = fft2(gaussian_shaped_labels(output_sigma, floor(window_sz / cell_size)));
%     end

%ĲҴ
    
    %ɺcos_windowߴyfͬfloor(window_sz / cell_size)ⷶΧwindow_szcellĸ
	cos_window = hann(size(yf,1)) * hann(size(yf,2))';	%ֱˣСΪ3737
	
    
    %һ߶ȱǩ
    % desired scale filter output (gaussian shaped), bandwidth proportional to
    % number of scales
    scale_sigma = nScales/sqrt(33) * scale_sigma_factor;
    ss = (1:nScales) - ceil(nScales/2);
    ys = exp(-0.5 * (ss.^2) / scale_sigma^2);
    ysf = single(fft(ys));
    
    % store pre-computed translation filter cosine window
    %cos_window = single(hann(window_sz(1)) * hann(window_sz(2))');
    % store pre-computed scale filter cosine window
    
    if mod(nScales,2) == 0
        scale_window = single(hann(nScales+1));
        scale_window = scale_window(2:end);
    else
        scale_window = single(hann(nScales));
    end

    % scale factors
    ss = 1:nScales;
    scaleFactors = scale_step.^(ceil(nScales/2) - ss);
    % compute the resize dimensions used for feature extraction in the scale
    % estimation
    scale_model_factor = 1;
    if prod(init_target_sz) > scale_model_max_area
        scale_model_factor = sqrt(scale_model_max_area/prod(init_target_sz));
    end
    scale_model_sz = floor(init_target_sz * scale_model_factor);

    currentScaleFactor = 1;
    % over
    
	if show_visualization  %show_videoٽӻ 
		update_visualization = show_video(img_files, video_path, resize_image);
	end
	
	
	%note: variables ending with 'f' are in the Fourier domain.

	time = 0;  %to calculate FPS
	positions = zeros(numel(img_files), 4);  %to calculate precision

    im = imread([video_path img_files{1}]);
    min_scale_factor = scale_step ^ ceil(log(max(5 ./ window_sz)) / log(scale_step));
    max_scale_factor = scale_step ^ floor(log(min([size(im,1) size(im,2)] ./ base_target_sz)) / log(scale_step));

    
    
%̣
%һ֡5-6-7-8-9-10-5Ӻ֡
%֡5-11-12-13-6-7-8-9-10-ѭ
    
%岽ͼԤͼƬȡΪimתΪҶͼ
	for frame = 1:numel(img_files)
		%load image
		im = imread([video_path img_files{frame}]);
        %if ~isfield(features, 'deep')
        if size(im,3) > 1
                im = rgb2gray(im);%3ͨģɫƬתΪҶƬ
        end
        %end
		if resize_image    %Ŀ󣬽Ϊԭ1/2С
			im = imresize(im, 0.5);
		end

		tic()       %ʼʱ
        
        
 %       sum_Wapce = 0;
 %       sum_max = 0;

 %֡ʽٹ         
%ʮһɲzf        
		if frame > 1   %Ϊһ֡ĸٹ̣144Уõһ֡ͼгʼ 
			%obtain a subwindow for detection at the position from last
			%frame, and convert to Fourier domain (its size is unchanged)
			patch_trans = get_subwindow(im, pos, window_sz, currentScaleFactor);
			zf = fft2(get_features(patch_trans, features, cell_size, cos_window, w2c));%373731
     
%        %άӦͼʾͼ񣬺106
%            imim = im;

%ʮͨĺ˱任õkzf
			%calculate response of the classifier at all shifts
			switch kernel.type
			case 'gaussian'
				kzf = gaussian_correlation(zf, model_xf, kernel.sigma);%3737
			case 'polynomial'
				kzf = polynomial_correlation(zf, model_xf, kernel.poly_a, kernel.poly_b);
			case 'linear'
				kzf = linear_correlation(zf, model_xf);
			end
			response = real(ifft2(model_alphaf .* kzf));  %equation for fast detection%3737
            %model_alphafkzf˺иҶ任صʱ򡣱ʵõʵӦͼresponse map
            %ӦΪһֵ 

            
%        %ͨӦֵжϸģ㷨     
%             max_response = max(response(:));
%             A = response(:);
%             Rx = 0.4*max_response;
%             result = find(A>=Rx);
%             if frame == 2
%                 N=length(result);%ǰ֡Ӧֵ40%Ӧֵĵĸ
%                 Nt=0;
%                 sum_max = max_response;
%                 eta = 1;
%             else
%                 Nt = Nt+N;%ۼ
%                 threshold_n = 0.7*Nt/(frame-2);%ֵ
%                 N=length(result);%ǰ֡Ӧֵ40%Ӧֵĵĸ
%                 sum_max = max_response+sum_max;
%                 threshold_r = 0.85*sum_max/(frame-2);
%                 if N >= threshold_n && max_response >= threshold_r
%                      eta = 0;
%                 else
%                      eta = 1;
%                 end
%             end
            

% %ͨƽֵAPCEжϸ
%             max_response = max(response(:));%Ӧֵ
%             min_response = min(response(:));%СӦֵ
%             Wapce_z = (abs(max_response-min_response))^2;%ƽֵAPCEķ
%             sum_cpf = 0;
% %            threshold_1 = 8;
% %             threshold_2 = 0.38;
% %             threshold_3 = 0.5;
%             for k = 1:numel(response(:))
%                 sum_cpf = sum_cpf + (response(k)-min_response)^2;
%             end
%             Wapce_m = sum_cpf / k;
%             Wapce = Wapce_z / Wapce_m;
%             if frame == 2
%                 sum_max = max_response;
%                 sum_apce = Wapce;
%             else 
%                 sum_max = sum_max + max_response;
%                 sum_apce = sum_apce + Wapce;
%             end
%             threshold_1 = 1.5*sum_apce/(frame-1);
%             threshold_2 = 0.7*sum_max/(frame-1);
%             threshold_3 = 0.85*sum_max/(frame-1);
%             if Wapce > threshold_1 && max_response > threshold_3
%                 interp_factor = 0.018;
%             elseif (Wapce > threshold_1) && (threshold_3 > max_response) && (max_response > threshold_2)
%                 interp_factor = 0.01;
%             else
%                 interp_factor = 0;
%             end
                


% %öֵڵж
%             max_response = max(response(:));%Ӧֵ
%             min_response = min(response(:));%СӦֵ
%             Wapce_z = (abs(max_response-min_response))^2;%ƽֵAPCEķ
%             sum_cpf = 0;
% %            threshold_1 = 5; 
% %             threshold_2 = 6;
% %             threshold_3 = 4;
%             for k = 1:numel(response(:))
%                 sum_cpf = sum_cpf + (response(k)-min_response)^2;
%             end
%             Wapce_m = sum_cpf / k;
%             Wapce = Wapce_z / Wapce_m;
%             
%             if frame == 2
% %                sum_max = max_response;
%                sum_apce = Wapce;
%                eta = 1;
% %               eta2 = 0;
%                sum_dlta_Wapce = 0;
% %                sum_eta = 0;
%             else 
% %                sum_max = sum_max + max_response;
%                 dlta_Wapce = abs(Wapce - Wapce_1);  
%                 sum_apce = sum_apce + Wapce;
%                 sum_dlta_Wapce = sum_dlta_Wapce + dlta_Wapce;
%                 threshold_2 = 0.2*sum_apce/(frame-1);
%                 threshold_3 = 0.5*sum_apce/(frame-1);
%                 threshold_1 = sum_dlta_Wapce/(frame-1);
% %                threshold_2 = 0.2*sum_max/(frame-1);
% %                threshold_3 = 0.5*sum_max/(frame-1);
%                 eta2 = ((Wapce - threshold_2)/(threshold_3 - threshold_2))^2;
% %                 sum_eta = eta2 + sum_eta;
% %                 eta1 = 0.08*sum_eta/(frame-1);           
%                 if dlta_Wapce >= threshold_1 && Wapce >= threshold_2 %ڵ
%                     eta = 1;
%                 elseif dlta_Wapce < threshold_1 && Wapce > threshold_3 && Wapce < threshold_2 
%                     eta = eta2;%
%                 else
%                     eta = 0;
%                 end
% 
%             end
%             Wapce_1 = Wapce;
 

% %öֵڵж
%             max_response = max(response(:));%Ӧֵ
%             min_response = min(response(:));%СӦֵ
%             sum_cpf = 0;
%         % ڶ  
%             px = sortrows(response(:));%
%             max_response2 = px(numel(px)-1); 
%             rsfm = 1 - min(max_response2 / max_response,0.5);%ڶ
%         % APCEƽֵ 
%             Wapce_z = (abs(max_response-min_response))^2;%ƽֵAPCEķ
%             for k = 1:numel(response(:))
%                 sum_cpf = sum_cpf + (response(k)-min_response)^2;
%             end
%             Wapce_m = sum_cpf / numel(response(:));
%             Wapce = Wapce_z / Wapce_m;
%          % ֵ԰
%             px(numel(px),:) = [];
%             mean_pb = mean(px);
%             fx_pb = var(px);
%             psr = (max_response - mean_pb)/(fx_pb);
%             threshold_apce = 0.3*Wapce;
%             threshold_1 = psr - threshold_psr;
%             threshold_2 = rsfm - threshold_rsfm;
%             if Wapce > threshold_apce
%                 eta = 1;
%             elseif Wapce < threshold_apce && threshold_1 < 0  && threshold_2 > 0
%                 eta = (threshold_3*(1-1/psr))/interp_factor;
%             elseif Wapce < threshold_apce && threshold_1 > 0  && threshold_2 < 0
%                 eta = (threshold_4*rsfm)/interp_factor;
%             else
%                 eta = (threshold_3*(1-1/psr)+threshold_4*rsfm)/interp_factor;
%             end

       
%   %öֵڵж
%             max_response = max(response(:));%Ӧֵ
%             min_response = min(response(:));%СӦֵ
%             sum_cpf = 0;
%             
%         % ڶ  
%             px = sortrows(response(:));%
%             max_response2 = px(numel(px)-1); 
%             rsfm = 1 - min(max_response2 / max_response,0.5);%ڶ
%         % APCEƽֵ 
%             Wapce_z = (abs(max_response-min_response))^2;%ƽֵAPCEķ
%             for k = 1:numel(response(:))
%                 sum_cpf = sum_cpf + (response(k)-min_response)^2;
%             end
%             Wapce_m = sum_cpf / numel(response(:));
%             Wapce = Wapce_z / Wapce_m;
%             if frame == 2
%                 Wapce_1 = Wapce;
%             end
%          % ֵ԰
%             px(numel(px),:) = [];
%             mean_pb = mean(px);
%             fx_pb = var(px);
%             psr = (max_response - mean_pb)/(fx_pb);
%             threshold_apce = 0.3*Wapce_1;
%             threshold_1 = psr - threshold_psr;
%             threshold_2 = rsfm - threshold_rsfm;
%             if Wapce_1 > threshold_apce
%                 eta = 1;
%             elseif Wapce_1 < threshold_apce && threshold_1 < 0  && threshold_2 > 0
%                 eta = (threshold_3*(1-1/psr))/interp_factor;
%             elseif Wapce_1 < threshold_apce && threshold_1 > 0  && threshold_2 < 0
%                 eta = (threshold_4*rsfm)/interp_factor;
%             else
%                 eta = (threshold_3*(1-1/psr)+threshold_4*rsfm)/interp_factor;
%             end
%             Wapce_1 = Wapce;



%   %ͨӦֵжϸģ㷨     
%             max_response = max(response(:));
%             A = response(:);
%             px = sortrows(A);%
%             max_response2 = px(numel(px)-1); 
%             rsfm = max_response2 / max_response;%ڶ
%             Rx = 0.5*max_response; 
%             result = find(A>=Rx);
%             if frame == 2
%                 N=length(result);%ǰ֡Ӧֵ40%Ӧֵĵĸ
%                 Nt=N;
%                 sum_rsfm = rsfm;
%                 sum_max = max_response;
%                 eta = 1;               
%             else
%                 Nt = Nt+N;%ۼ
%                 threshold_n = floor(1.3*Nt/(frame-1));%ֵ
%                 N=length(result);%ǰ֡Ӧֵ40%Ӧֵĵĸ
%                 sum_max = max_response+sum_max;
%                 threshold_r = sum_max/(frame-1);
%                 sum_rsfm = sum_rsfm + rsfm;
%                 threshold_rsfm1 = 0.72*sum_rsfm / (frame-1);
%                 threshold_rsfm2 = 0.57*sum_rsfm / (frame-1);
%                 if rsfm > threshold_rsfm1 && N < threshold_n && max_response < threshold_r
%                     eta = 1;
%                 elseif rsfm < threshold_rsfm1 && rsfm > threshold_rsfm2 && max_response >= threshold_r && N < threshold_n && max_response < threshold_r && N >= threshold_n
%                     eta = 0.8;
%                 elseif rsfm < threshold_rsfm1 && rsfm > threshold_rsfm2 && max_response >= threshold_r && N >= threshold_n
%                     eta = 0.5;
%                 else
%                      eta = 0;
%                 end
%             end

%  %ͨӦֵжϸģ㷨     (ЧϺ)
%         %rsfmֵ
%             max_response = max(response(:));
%             A = response(:);
%             px = sortrows(A);%
%             max_response2 = px(numel(px)-1); 
%             rsfm = max_response2 / max_response;%ڶ
%          %󳬹0.5Ӧ͵ĵĸ
%             Rx = 0.5*max_response; 
%             result = find(A>=Rx);
%             N=length(result);%ǰ֡Ӧֵ40%Ӧֵĵĸ
%             if frame == 2
%                 sum_rsfm = rsfm;
%                 Nt=N;
%                 sum_max = max_response;
%                 eta = 1;
%             else
%                 %rsfm˫ֵ
%                 sum_rsfm = sum_rsfm + rsfm;
%                 threshold_rsfm1 = 0.72*sum_rsfm / (frame-1);
%                 threshold_rsfm2 = 0.57*sum_rsfm / (frame-1);
%                 %N˫ֵ
%                 Nt = Nt+N;%ۼ
%                 threshold_n1 = floor(1.3*Nt/(frame-1));%ֵ
%                 threshold_n2 = floor(0.93*Nt/(frame-1));%ֵ
%                 %Ӧ˫ֵ
%                 sum_max = max_response+sum_max;
%                 threshold_r1 = 0.9*sum_max/(frame-1);
%                 threshold_r2 = 0.77*sum_max/(frame-1);
%                 if rsfm >= threshold_rsfm1
%                     eta1 = 1;
%                 elseif rsfm < threshold_rsfm1 && rsfm >= threshold_rsfm2
%                     eta1 = 0.8;
%                 else
%                     eta1 = 0;
%                 end
%                 if N <= threshold_n2
%                     eta2 = 0.8;
%                 elseif N > threshold_n2 && N < threshold_n1
%                     eta2 = 0.3;
%                 else
%                     eta2 = 0;
%                 end
%                 if max_response >= threshold_r1
%                     eta3 = 0.5;
%                 elseif max_response < threshold_r1 && max_response > threshold_r2
%                     eta3 = 0.3;
%                     
%                 else
%                     eta3 = 0;
%                 end
%                 sum_eta = eta1 + eta2 + eta3;
%                 if sum_eta == 0
%                     eta = 0;
%                 else
%                     eta = (eta1^2 + eta2^2 + eta3^2)/sum_eta;
%                 end
%             end


%  %ͨӦֵжϸģ㷨     
%         %rsfmֵ
% %             B = frame
%             max_response = max(response(:))
%             A = response(:);
%             px = sortrows(A);%
%             max_response2 = px(numel(px)-1)
%             rsfm = max_response2 / max_response;%ڶ
%          %󳬹0.5Ӧ͵ĵĸ
%             Rx = 0.5*max_response; 
%             result = find(A>=Rx);
%             N=length(result);%ǰ֡Ӧֵ40%Ӧֵĵĸ
%            
%             if frame == 2
%                 sum_rsfm = rsfm;
%                 Nt=N;
%                 sum_max = max_response;
%                 eta = 1;
%             else
%                 %rsfm˫ֵ
%                 sum_rsfm = sum_rsfm + rsfm;
% %                 threshold_rsfm1 = sum_rsfm / (frame-1);
%                 threshold_rsfm1 = 0.989*sum_rsfm / (frame-1);
%                 threshold_rsfm2 = 0.973*sum_rsfm / (frame-1);
%                 %N˫ֵ
%                 Nt = Nt+N;%ۼ
% %                 threshold_n = floor(Nt/(frame-1));%ֵ
%                 threshold_n1 = floor(Nt/(frame-1));%ֵ
%                 threshold_n2 = floor(1.14*Nt/(frame-1));%ֵ
%                 %Ӧ˫ֵ
%                 sum_max = max_response+sum_max;
% %                 threshold_r1 = sum_max/(frame-1)
%                 threshold_r1 = 0.99*sum_max/(frame-1);
%                 threshold_r2 = 0.85*sum_max/(frame-1);
%                 if rsfm >= threshold_rsfm1
%                     eta1 = 1;
%                 elseif rsfm < threshold_rsfm1 && rsfm >= threshold_rsfm2
%                     eta1 = 0.8;
%                 else
%                     eta1 = 0;
%                 end
%                 if N < threshold_n1
%                     eta2 = 0.8;
%                 elseif N >= threshold_n1 && N <= threshold_n2
%                     eta2 = 0.5;
%                 else
%                     eta2 = 0.2;
%                 end
%                 if max_response >= threshold_r1
%                     eta3 = 1;
%                 elseif max_response < threshold_r1 && max_response > threshold_r2 
%                     eta3 = 0.8;
%                 else
%                     eta3 = 0.3;
%                 end
%                 sum_eta = eta1 + eta2 + eta3;
% %                 sum_eta = eta2 + eta3;
% %                 if sum_eta == 0
% %                     eta = 0;
% %                 else
%                 eta = (eta1^2 + eta2^2 + eta3^2)/sum_eta;
% %                     eta = (eta2^2 + eta3^2)/sum_eta;
% %                 end
% %                 eta = eta3;
%             end


            
%   %÷ֵ԰     
%         %rsfmֵ
% %             B = frame
% 
% %            IndMax = find(diff(sign(diff(response)))<0)+1
% 
%             PKS= findpeaks(fftshift(response(:)));
%             PKS_max = max(PKS);
%             px = sortrows(PKS);
%             PKS_max2 = px(numel(px)-1);        
%             rsfm = PKS_max2 / PKS_max; %ڶ
%          %󳬹0.5Ӧ͵ĵĸ
%             Rx = 0.5*PKS_max; 
%             result = find(PKS>=Rx);
%             N=length(result);%ǰ֡Ӧֵ40%Ӧֵĵĸ
%            
%             if frame == 2
%                 sum_rsfm = rsfm;
%                 Nt=N;
%                 sum_max = PKS_max;
%                 eta = 1;
%             else
%                 %rsfm˫ֵ
%                 sum_rsfm = sum_rsfm + rsfm;
% %                 threshold_rsfm1 = sum_rsfm / (frame-1);
%                 threshold_rsfm1 = 0.989*sum_rsfm / (frame-1);
%                 threshold_rsfm2 = 0.973*sum_rsfm / (frame-1);
%                 %N˫ֵ
%                 Nt = Nt+N;%ۼ
% %                 threshold_n = floor(Nt/(frame-1));%ֵ
%                 threshold_n1 = floor(Nt/(frame-1));%ֵ
%                 threshold_n2 = floor(1.14*Nt/(frame-1));%ֵ
%                 %Ӧ˫ֵ
%                 sum_max = PKS_max+sum_max;
% %                 threshold_r1 = sum_max/(frame-1)
%                 threshold_r1 = 0.99*sum_max/(frame-1);
%                 threshold_r2 = 0.85*sum_max/(frame-1);
%                 if rsfm >= threshold_rsfm1
%                     eta1 = 1;
%                 elseif rsfm < threshold_rsfm1 && rsfm >= threshold_rsfm2
%                     eta1 = 0.8;
%                 else
%                     eta1 = 0;
%                 end
%                 if N < threshold_n1
%                     eta2 = 0.8;
%                 elseif N >= threshold_n1 && N <= threshold_n2
%                     eta2 = 0.5;
%                 else
%                     eta2 = 0.2;
%                 end
%                 if PKS_max >= threshold_r1
%                     eta3 = 1;
%                 elseif PKS_max < threshold_r1 && PKS_max > threshold_r2 
%                     eta3 = 0.8;
%                 else
%                     eta3 = 0.3;
%                 end
%                 sum_eta = eta1 + eta2 + eta3;
% %                 sum_eta = eta2 + eta3;
% %                 if sum_eta == 0
% %                     eta = 0;
% %                 else
%                 eta = (eta1^2 + eta2^2 + eta3^2)/sum_eta;
% %                     eta = (eta2^2 + eta3^2)/sum_eta;
% %                 end
% %                 eta = eta3;
%             end           
            
 %%%%%Ľֵ㷨
%             B=frame
            MatrixA = double(fftshift(response));
            PeaksMap = imregionalmax(MatrixA);%ڴСΪ3737
            Fmin = min(min(MatrixA));
            peakvalue_all = [];            
%             peakvalue_all2 = [];
            sum_cpfh = 0;%ĸƽ
            % Ƿֵλ
            [Rows,Cols] = size(MatrixA);
            for i = 1:Rows
                for j = 1:Cols
                    if(PeaksMap(i,j) == true)
                        peakvalue = MatrixA(i,j);
                        peakvalue_all = [peakvalue_all,peakvalue];
                    end
                    sum_cpfh = sum_cpfh +( MatrixA(i,j) - Fmin)^2;
                end
            end
            PKS = sortrows(peakvalue_all(:));
            PKS_max = max(PKS);
%             PKS_min = min(PKS);
            if numel(PKS) ==1
                PKS_max2 = 0;
            else
                PKS_max2 = PKS(numel(PKS)-1);
            end
            %ƽֵAPCE
            Fmean =  sum_cpfh / (Rows * Cols);
            APCE = (PKS_max - Fmin)^2 / Fmean;
            %ڶRSFM
            rsfm = 1-min(PKS_max2 / PKS_max,0.5);
            %ֵ԰PSR,ڴСΪ1111
%             MatrixA2 = squeeze(MatrixA(floor((Rows-11)/2+1):floor((Rows-11)/2+11),floor((Cols-11)/2+1):floor((Cols-11)/2+11)));%1111Ĵ
%             PeaksMap2 = imregionalmax(MatrixA2);
%             [rows,cols] = size(MatrixA2);
%             for i = 1:rows
%                 for j = 1:cols
%                     if(PeaksMap2(i,j) == true)
%                         peakvalue2 = MatrixA2(i,j);
%                         peakvalue_all2 = [peakvalue_all2,peakvalue2];
%                     end
%                 end
%             end
%             PKS2 = sortrows(peakvalue_all(:));       
%             PKS2_max = max(PKS2);
%             us = mean(PKS2);
%             qs =sum((PKS2(1,:)-us).^2)/length(PKS2);
%             PSR = round((PKS2_max-us)/qs,-2)
            %󳬹0.1Ӧ͵ĵĸ 
            Rx = 0.1000; 
            result = find(PKS>=Rx*PKS_max);%*PKS_max
            N=length(result);%ǰ֡Ӧֵ50%Ӧֵĵĸ         
            
            if frame == 2
                sum_APCE = APCE;
                sum_rsfm = rsfm;
%                 sum_PSR = PSR;
                Nt=N;
                sum_max = PKS_max;
                eta = 1;
            else
                %APCE˫ֵ
                sum_APCE = sum_APCE + APCE;
%                 threshold_APCE = sum_APCE/(frame-1)
                threshold_APCE1 = sum_APCE/(frame-1);
                threshold_APCE2 = 0.7*sum_APCE/(frame-1);
                %rsfm˫ֵ
                sum_rsfm = sum_rsfm + rsfm;
%                 threshold_rsfm = sum_rsfm / (frame-1)
                threshold_rsfm1 = sum_rsfm / (frame-1);
                threshold_rsfm2 = 0.5000;
%                 %PSR˫ֵ
%                 sum_PSR = sum_PSR + PSR;
%                 threshold_PSR = round(sum_PSR /(frame-1),-2)
                %N˫ֵ
                Nt = Nt+N;%ۼ
                threshold_n = round(Nt/(frame-1));%ֵ
%                 threshold_n1 = round(1.12*Nt/(frame-1));%ֵ
%                 threshold_n2 = round(Nt/(frame-1));%ֵ
                %Ӧ˫ֵ
                sum_max = PKS_max+sum_max;
%                 threshold_r1 = sum_max/(frame-1);
                threshold_r1 = sum_max/(frame-1);
                threshold_r2 = 0.85*sum_max/(frame-1);
              
% 
                if APCE >= threshold_APCE1
                    eta4 = 1;
                elseif APCE < threshold_APCE1 && APCE >= threshold_APCE2
                    eta4 = 0.8;
                else
                    eta4 = 0.5;
                end
                if rsfm >= threshold_rsfm1
                    eta1 = 1;
                elseif rsfm < threshold_rsfm1 && rsfm > threshold_rsfm2
                    eta1 = 1.2;
                else
                    eta1 = 1.5;
                end
                if N > threshold_n
                    eta2 = 1.2;
%                 elseif N > threshold_n2 && N <= threshold_n1
%                     eta2 = 0.3;
                else
                    eta2 = 1;
                end
                if PKS_max >= threshold_r1
                    eta3 = 1;
                elseif PKS_max < threshold_r1 && PKS_max > threshold_r2 
                    eta3 = 1.2;
                else
                    eta3 = 1.5;
                end
                sum_eta = eta1 + eta2 + eta3 + eta4;
                if sum_eta == 0
                    eta = 0;
                else
                    eta = (eta1^2 + eta2^2 + eta3^2+ eta4^2)/sum_eta;
                end
%                 eta = 1;
            end  



% %%%%%Ľֵ㷨
% %             B=frame
%             MatrixA = double(fftshift(response));
%             PeaksMap = imregionalmax(MatrixA);%ڴСΪ3737
%             Fmin = min(min(MatrixA));
%             peakvalue_all = [];
% %             peakvalue_all2 = [];
%             sum_cpfh = 0;%ĸƽ
%             % Ƿֵλ
%             [Rows,Cols] = size(MatrixA);
%             for i = 1:Rows
%                 for j = 1:Cols
%                     if(PeaksMap(i,j) == true)
%                         peakvalue = MatrixA(i,j);
%                         peakvalue_all = [peakvalue_all,peakvalue];
%                     end
%                     sum_cpfh = sum_cpfh +( MatrixA(i,j) - Fmin)^2;
%                 end
%             end
%             PKS = sortrows(peakvalue_all(:));       
%             PKS_max = max(PKS);
% %             PKS_min = min(PKS);
%             PKS_max2 = PKS(numel(PKS)-1);
%             %ƽֵAPCE
%             Fmean =  sum_cpfh / (Rows * Cols);
%             APCE = (PKS_max - Fmin)^2 / Fmean;
%             %ڶRSFM
%             rsfm = 1-min(PKS_max2 / PKS_max,0.5);
%             %ֵ԰PSR,ڴСΪ1111
% %             MatrixA2 = squeeze(MatrixA(floor((Rows-11)/2+1):floor((Rows-11)/2+11),floor((Cols-11)/2+1):floor((Cols-11)/2+11)));%1111Ĵ
% %             PeaksMap2 = imregionalmax(MatrixA2);
% %             [rows,cols] = size(MatrixA2);
% %             for i = 1:rows
% %                 for j = 1:cols
% %                     if(PeaksMap2(i,j) == true)
% %                         peakvalue2 = MatrixA2(i,j);
% %                         peakvalue_all2 = [peakvalue_all2,peakvalue2];
% %                     end
% %                 end
% %             end
% %             PKS2 = sortrows(peakvalue_all(:));       
% %             PKS2_max = max(PKS2);
% %             us = mean(PKS2);
% %             qs =sum((PKS2(1,:)-us).^2)/length(PKS2);
% %             PSR = round((PKS2_max-us)/qs,-2)
%             %󳬹0.3Ӧ͵ĵĸ 
%             Rx = 0.2*PKS_max; 
%             result = find(PKS>=Rx);
%             N=length(result);%ǰ֡Ӧֵ40%Ӧֵĵĸ         
%             
%             if frame == 2
%                 sum_APCE = APCE;
%                 sum_rsfm = rsfm;
% %                 sum_PSR = PSR;
%                 Nt=N;
%                 sum_max = PKS_max;
%                 eta = 1;
%             else
%                 %APCE˫ֵ
%                 sum_APCE = sum_APCE + APCE;
% %                 threshold_APCE = sum_APCE/(frame-1);
%                 threshold_APCE1 = 0.8*sum_APCE/(frame-1);
%                 threshold_APCE2 = 1.1*sum_APCE/(frame-1);
%                 %rsfm˫ֵ
%                 sum_rsfm = sum_rsfm + rsfm;
% %                 threshold_rsfm = sum_rsfm / (frame-1);
%                 threshold_rsfm1 = 0.98*sum_rsfm / (frame-1);
%                 threshold_rsfm2 = 0.95*sum_rsfm / (frame-1);
% %                 %PSR˫ֵ
% %                 sum_PSR = sum_PSR + PSR;
% %                 threshold_PSR = round(sum_PSR /(frame-1),-2)
%                 %N˫ֵ
%                 Nt = Nt+N;%ۼ
% %                 threshold_n = round(Nt/(frame-1))%ֵ
%                 threshold_n1 = round(Nt/(frame-1));%ֵ
%                 threshold_n2 = round(0.5*Nt/(frame-1));%ֵ
%                 %Ӧ˫ֵ
%                 sum_max = PKS_max+sum_max;
% %                 threshold_r1 = sum_max/(frame-1)
%                 threshold_r1 = 0.9*sum_max/(frame-1);
%                 threshold_r2 = 0.8*sum_max/(frame-1);
% 
%                 if APCE <= threshold_APCE1
%                     eta4 = 1;
%                 elseif APCE > threshold_APCE1 && APCE <= threshold_APCE2
%                     eta4 = 0.8;
%                 else
%                     eta4 = 0;
%                 end
%                 if rsfm >= threshold_rsfm1
%                     eta1 = 0.8;
%                 elseif rsfm < threshold_rsfm1 && rsfm >= threshold_rsfm2
%                     eta1 = 0.5;
%                 else
%                     eta1 = 0;
%                 end
%                 if N <= threshold_n2
%                     eta2 = 0.8;
%                 elseif N > threshold_n2 && N <= threshold_n1
%                     eta2 = 0.3;
%                 else
%                     eta2 = 0;
%                 end
%                 if PKS_max >= threshold_r1
%                     eta3 = 1;
%                 elseif PKS_max < threshold_r1 && PKS_max > threshold_r2 
%                     eta3 = 0.5;
%                 else
%                     eta3 = 0;
%                 end
%                 sum_eta = eta1 + eta2 + eta3 + eta4;
%                 if sum_eta == 0
%                     eta = 0;
%                 else
%                     eta = (eta1^2 + eta2^2 + eta3^2+ eta4^2)/sum_eta;
%                 end
%             end           

            
%ʮҵӦֵλ		
			[vert_delta, horiz_delta] = find(response == max(response(:)), 1);
			if vert_delta > size(zf,1) / 2  %wrap around to negative half-space of vertical axis
				vert_delta = vert_delta - size(zf,1);
			end
			if horiz_delta > size(zf,2) / 2  %same for horizontal axis
				horiz_delta = horiz_delta - size(zf,2);
			end
			pos = pos + cell_size * [vert_delta - 1, horiz_delta - 1];%³Ŀλ
            
            
             
            patch_scale = get_scale_sample(im, pos, base_target_sz, currentScaleFactor * scaleFactors, scale_window, scale_model_sz);
            
            % calculate the correlation response of the scale filter
            xsf = fft(patch_scale,[],2);
            scale_response = real(ifft(sum(sf_num .* xsf, 1) ./ (sf_den + scale_lambda)));

            % find the maximum scale response
            recovered_scale = find(scale_response == max(scale_response(:)), 1);

            % update the scale
            currentScaleFactor = currentScaleFactor * scaleFactors(recovered_scale);
            if currentScaleFactor < min_scale_factor
                currentScaleFactor = min_scale_factor;
            elseif currentScaleFactor > max_scale_factor
                currentScaleFactor = max_scale_factor;
            end

            
            
            
%      %   Ӧͼʾ
%             %ݸٽõĿ
% %             obj_box =  [pos([2,1]) - target_sz([2,1])/2, target_sz([2,1])];
%             figure(3)
%             %ͼĿʾԭͼ
% %             subplot(121)
% %             imim = insertShape(imim, 'Rectangle',obj_box);
% %             imshow(imim)
% %             x = ['frame ', num2str(frame)];
% %             title(x)
%             %ұͼresponseֵʾ
% %             subplot(111)
%             surf(fftshift(response))
%             x = ['response of frame ', num2str(frame)];
%             title(x)
%             %pauseӳ٣ӳٵĻĽʾͼ
%             pause(0.0001)


 
%             figure(3)
%             surf(MatrixA)
%             for i = 1:Rows
%                 for j = 1:Cols
%                     if(PeaksMap(i,j) == true)
%                         text(j,i,MatrixA(i,j),'O');
%                     end
%                 end
%             end
%             x = ['response of frame ', num2str(frame)];
%             title(x)
%             %pauseӳ٣ӳٵĻĽʾͼ
%             pause(0.0001)
        end
        
        
  %һ֡ĳʼ
%ѵ
		%get_subwindowͼеһ֡ļpatch
        patch_trans = get_subwindow(im, pos, window_sz,currentScaleFactor);%СΪ150150
		%get_featureõһ֡patchپҶ任Ƶõxf ѵ
        xf = fft2(get_features(patch_trans, features, cell_size, cos_window, w2c));%373731

		%Kernel Ridge Regression, calculate alphas (in Fourier domain)
%߲عȨֵalphafжӦʽ
		switch kernel.type
		case 'gaussian'
            %gaussian_correlationõƵϵĸ˹Ӧkf 
			kf = gaussian_correlation(xf, xf, kernel.sigma);%3737
		case 'polynomial'
			kf = polynomial_correlation(xf, xf, kernel.poly_a, kernel.poly_b);
		case 'linear'
			kf = linear_correlation(xf, xf);
		end
		alphaf = yf ./ (kf + lambda);   %equation for fast trainingع㣬õalphaf3737

        
        % training scale filter
        % extract the training sample feature map for the scale filter
        patch_scale = get_scale_sample(im, pos, base_target_sz, currentScaleFactor * scaleFactors, scale_window, scale_model_sz);

        % calculate the scale filter update
        xsf = fft(patch_scale,[],2);
        new_sf_num = bsxfun(@times, ysf, conj(xsf));
        new_sf_den = sum(xsf .* conj(xsf), 1);

        
%ڰ˲ģȨֵ
		if frame == 1  %ϵõalphafxfΪһ֡ʱѵĽʼ
			model_alphaf = alphaf;
			model_xf = xf;%373731
            sf_den = new_sf_den;
            sf_num = new_sf_num;
		else
			%֡еĸ£ʹñ֡ǰһ֡ļȨ
%             eta=1;
			model_alphaf = (1 - eta*interp_factor) * model_alphaf + eta*interp_factor * alphaf;
			model_xf = (1 - eta*interp_factor) * model_xf + eta*interp_factor * xf;
            sf_den = (1 - scale_learning_rate) * sf_den + scale_learning_rate * new_sf_den;
            sf_num = (1 - scale_learning_rate) * sf_num + scale_learning_rate * new_sf_num;
        end
        %µĿС
        target_sz = floor(base_target_sz * currentScaleFactor);
%ھŲÿ֡Ŀλúʹĵʱ
	%	positions(frame,:) = pos;%Ŀλ
        positions(frame,:) = [pos target_sz];
		time = time + toc();%ۼʱ

%ʮÿһ֡ʾ
		if show_visualization == 1
  			box = [pos([2,1]) - target_sz([2,1])/2, target_sz([2,1])];
  			stop = update_visualization(frame, box);
  			if stop, break, end  %user pressed Esc, stop early
% 			rect_position = [pos([2,1]) - target_sz([2,1])/2, target_sz([2,1])];
%             if frame == 1  %first frame, create GUI
%                 figure('Name',['Tracker - ' video_path]);
%                 im_handle = imshow(uint8(im), 'Border','tight', 'InitialMag', 100 + 100 * (length(im) < 500));
%                 rect_handle = rectangle('Position',rect_position, 'EdgeColor','g');
%                 text_handle = text(10, 10, int2str(frame));
%                 set(text_handle, 'color', [0 1 1]);
%             else
%                 try  %subsequent frames, update GUI
%                     set(im_handle, 'CData', im)
%                     set(rect_handle, 'Position', rect_position)
%                     set(text_handle, 'string', int2str(frame));
%                 catch
%                     return
%                 end
%             end
			drawnow
% 			pause(0.05)  %uncomment to run slower
		end
		
    end
    %ѭ
    

%ʮĲ֮ǰͼСˣλ껻ȥ   
	if resize_image
		positions = positions * 2;
	end
end

